Devuan bug report logs - #458
package accountsservice (Beowulf) only ships a systemd service unit

version graph

Package: accountsservice; Maintainer for accountsservice is (unknown);

Reported by: Mason Loring Bliss <mason@blisses.org>

Date: Mon, 11 May 2020 22:18:01 UTC

Severity: normal

Found in version 0.6.45-2

Done: Mark Hindley <mark@hindley.org.uk>

Full log


🔗 View this message in rfc822 format

MIME-Version: 1.0
X-Mailer: MIME-tools 5.509 (Entity 5.509)
X-Loop: owner@bugs.devuan.org
From: "Devuan bug Tracking System" <owner@bugs.devuan.org>
To: Mason Loring Bliss <mason@blisses.org>
Subject: bug#458 closed by Mark Hindley <mark@hindley.org.uk> (Re:
 bug#458: package accountsservice (Beowulf) only ships a systemd service
 unit)
Message-ID: <handler.458.D458.158956380620124.notifdone@bugs.devuan.org>
References: <20200515172304.GF32762@hindley.org.uk>
 <20200511215833.GD15421@blisses.org>
X-Devuan-PR-Message: they-closed 458
X-Devuan-PR-Package: accountsservice
Reply-To: 458@bugs.devuan.org
Date: Fri, 15 May 2020 17:33:06 +0000
Content-Type: multipart/mixed; boundary="----------=_1589563986-20145-1"
[Message part 1 (text/plain, inline)]
This is an automatic notification regarding your bug report
which was filed against the accountsservice package:

#458: package accountsservice (Beowulf) only ships a systemd service unit

It has been closed by Mark Hindley <mark@hindley.org.uk>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Mark Hindley <mark@hindley.org.uk> by
replying to this email.


-- 
458: https://bugs.devuan.org/cgi/bugreport.cgi?bug=458
Devuan Bug Tracking System
Contact owner@bugs.devuan.org with problems
[Message part 2 (message/rfc822, inline)]
From: Mark Hindley <mark@hindley.org.uk>
To: 458-done@bugs.devuan.org
Subject: Re: bug#458: package accountsservice (Beowulf) only ships a systemd service unit
Date: Fri, 15 May 2020 18:23:04 +0100
Mason

On Mon, May 11, 2020 at 05:58:33PM -0400, Mason Loring Bliss wrote:
> Package: accountsservice
> Version: 0.6.45-2
> 
> The accountsservice package is evidently used by various greeters to supply
> per-user information like, for instance, per-user background images. It
> appears to only install system units, not a proper init script.

Thanks for this. However, as discussed on #devuan-dev, the accountsservice
daemon is started by DBus activation. That seems to be working fine in my
testing, so I don't think the package requires an initscript.

Do feel free to reopen if you think I have missed something and this requires
reconsideration.

Thanks.

Mark
[Message part 3 (message/rfc822, inline)]
From: Mason Loring Bliss <mason@blisses.org>
To: submit@bugs.devuan.org
Subject: package accountsservice (Beowulf) only ships a systemd service unit
Date: Mon, 11 May 2020 17:58:33 -0400
[Message part 4 (text/plain, inline)]
Package: accountsservice
Version: 0.6.45-2

The accountsservice package is evidently used by various greeters to supply
per-user information like, for instance, per-user background images. It
appears to only install system units, not a proper init script.

-- 
Mason Loring Bliss   ((  "In the drowsy dark cave of the mind dreams
mason@blisses.org     ))  build  their nest  with fragments  dropped
http://blisses.org/  ((   from day's caravan." - Rabindranath Tagore
[signature.asc (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Wed Apr 21 23:27:11 2021;